summaryrefslogtreecommitdiffstats
path: root/academic/xcircuit
diff options
context:
space:
mode:
author B. Jogai <jogaib at comcast {dot} net>2010-05-13 00:57:23 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:23 +0200
commita6c8e94ae10542688f49807f28195c41246dcac8 (patch)
treeed90ae3447103438fe9376dbaf2ed5674c7b22be /academic/xcircuit
parent2ea248970dec2391fc79e2efd6d357c378318070 (diff)
downloadslackbuilds-a6c8e94ae10542688f49807f28195c41246dcac8.tar.gz
slackbuilds-a6c8e94ae10542688f49807f28195c41246dcac8.tar.xz
academic/xcircuit: Added to 13.0 repository
Diffstat (limited to 'academic/xcircuit')
-rw-r--r--academic/xcircuit/README14
-rw-r--r--academic/xcircuit/doinst.sh4
-rw-r--r--academic/xcircuit/slack-desc19
-rw-r--r--academic/xcircuit/xcircuit.SlackBuild88
-rw-r--r--academic/xcircuit/xcircuit.desktop8
-rw-r--r--academic/xcircuit/xcircuit.info10
-rw-r--r--academic/xcircuit/xcircuit.pngbin0 -> 3748 bytes
7 files changed, 143 insertions, 0 deletions
diff --git a/academic/xcircuit/README b/academic/xcircuit/README
new file mode 100644
index 0000000000..38d5649e3c
--- /dev/null
+++ b/academic/xcircuit/README
@@ -0,0 +1,14 @@
+XCircuit is a program for drawing publishable-quality electrical circuit
+schematic diagrams and related figures, and produce circuit netlists through
+schematic capture. XCircuit regards circuits as inherently hierarchical, and
+writes both hierarchical PostScript output and hierarchical SPICE netlists.
+Circuit components are saved in and retrieved from libraries which are fully
+editable. XCircuit does not separate artistic expression from circuit
+drawing; it maintains flexiblity in style without compromising the power
+of schematic capture.
+
+XCircuit is flexible enough to be used as a generic program for drawing just
+about anything, and is competitive with powerful programs such as xfig.
+It is especially good for any task requiring repeated use of a standard set
+of graphical objects, including architectural drawing, printed circuit board
+(PCB) layouts, and music typography.
diff --git a/academic/xcircuit/doinst.sh b/academic/xcircuit/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/academic/xcircuit/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/academic/xcircuit/slack-desc b/academic/xcircuit/slack-desc
new file mode 100644
index 0000000000..42a61129c1
--- /dev/null
+++ b/academic/xcircuit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+xcircuit: xcircuit (circuit schematic diagram tool)
+xcircuit:
+xcircuit: XCircuit is a program for drawing publishable-quality electrical
+xcircuit: circuit schematic diagrams and related figures, and produce circuit
+xcircuit: netlists through schematic capture. XCircuit regards circuits as
+xcircuit: inherently hierarchical, and writes both hierarchical PostScript
+xcircuit: output and hierarchical SPICE netlists. Circuit components are saved
+xcircuit: in and retrieved from libraries which are fully editable.
+xcircuit:
+xcircuit: Homepage: http://opencircuitdesign.com/xcircuit/
+xcircuit:
diff --git a/academic/xcircuit/xcircuit.SlackBuild b/academic/xcircuit/xcircuit.SlackBuild
new file mode 100644
index 0000000000..a89c9c7d36
--- /dev/null
+++ b/academic/xcircuit/xcircuit.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for grace
+# Written by B. Jogai <jogaib {at} comcast [dot] net>
+
+PRGNAM=xcircuit
+VERSION=3.7.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --with-x \
+ --with-ngspice \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux \
+
+make
+make DESTDIR=$PKG install
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Add desktop menu entries
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/xcircuit.png > $PKG/usr/share/pixmaps/xcircuit.png
+cat $CWD/xcircuit.desktop > $PKG/usr/share/applications/xcircuit.desktop
+
+# Copy the man pages from the lib to the man directory.
+# Don't move it in case the program needs it there for some reason.
+rm -rf $PKG/usr/man
+mkdir -p $PKG/usr/man/man1
+cp $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM-3.7/man/*.1 $PKG/usr/man/man1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a CHANGES README* TODO VERSION examples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/xcircuit/xcircuit.desktop b/academic/xcircuit/xcircuit.desktop
new file mode 100644
index 0000000000..e5e86f2300
--- /dev/null
+++ b/academic/xcircuit/xcircuit.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Exec=xcircuit
+Name=xcircuit
+GenericName=Circuit drawing program
+Icon=/usr/share/pixmaps/xcircuit.png
+Terminal=false
+Categories=Qt;KDE;Graphics;Development;
diff --git a/academic/xcircuit/xcircuit.info b/academic/xcircuit/xcircuit.info
new file mode 100644
index 0000000000..4718967c2c
--- /dev/null
+++ b/academic/xcircuit/xcircuit.info
@@ -0,0 +1,10 @@
+PRGNAM="xcircuit"
+VERSION="3.7.5"
+HOMEPAGE="http://opencircuitdesign.com/xcircuit/"
+DOWNLOAD="http://opencircuitdesign.com/xcircuit/archive/xcircuit-3.7.5.tgz"
+DOWNLOAD_x86_64=""
+MD5SUM="5cbcda1af745898f0f382325562b987b"
+MD5SUM_x86_64=""
+MAINTAINER="B. Jogai"
+EMAIL="jogaib <at> comcast {dot} net"
+APPROVED="dsomero"
diff --git a/academic/xcircuit/xcircuit.png b/academic/xcircuit/xcircuit.png
new file mode 100644
index 0000000000..85cc4da406
--- /dev/null
+++ b/academic/xcircuit/xcircuit.png
Binary files differ